# $Revision: 1.25 $, $Date: 2003/01/26 11:53:33 $
Summary:	An offline mail server with pop3 client support
Summary(pl):	Serwer pocztowy offline ze wsparciem dla pop3
Name:		masqmail
Version:	0.2.18
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://masqmail.cx/masqmail/download/%{name}-%{version}.tar.gz
URL:		http://masqmail.cx/masqmail/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
Provides:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MasqMail is a mail server designed for hosts that do not have a
permanent internet connection eg. a home network or a single host at
home. It has special support for connections to different ISPs. It
replaces sendmail or other MTAs such as qmail or exim.

%description -l pl
MasqMail jest serwerem pocztowym zaprojektowanym dla maszyn nie
posiadajcych staego dostpu do Internetu, jak domowe sieci czy
pojedyncze komputery domowe. Wspiera poczenia z rnymi ISP.
Zastpuje sendmaila oraz inne MTA jak qmail czy exim.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-user=mail \
	--with-group=mail \
	--with-logdir=/var/log
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/masqmail,%{_bindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_datadir}/masqmail/tpl,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT%{_var}/spool/masqmail/{input,lock,popuidl}

install examples/masqmail.conf $RPM_BUILD_ROOT%{_sysconfdir}/masqmail
install src/mservdetect $RPM_BUILD_ROOT%{_bindir}
install src/masqmail $RPM_BUILD_ROOT%{_sbindir}
install tpl/* $RPM_BUILD_ROOT%{_datadir}/masqmail/tpl
install docs/man/masqmail.*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install docs/man/masqmail.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/newaliases $RPM_BUILD_ROOT%{_bindir}
ln -sf ../sbin/masqmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf ../sbin/masqmail $RPM_BUILD_ROOT%{_libdir}/sendmail
ln -sf masqmail $RPM_BUILD_ROOT%{_sbindir}/sendmail

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO examples/example.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*
%attr(4755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}/masqmail
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/masqmail/masqmail.conf
%dir %{_datadir}/masqmail
%dir %{_datadir}/masqmail/tpl
%{_datadir}/masqmail/tpl/*.tpl
%lang(de) %{_datadir}/masqmail/tpl/*.tpl.de
%lang(fr) %{_datadir}/masqmail/tpl/*.tpl.fr
%lang(it) %{_datadir}/masqmail/tpl/*.tpl.it
%{_mandir}/man[58]/*
%defattr(644,mail,mail,755)
%dir %{_var}/spool/masqmail
%dir %{_var}/spool/masqmail/input
%dir %{_var}/spool/masqmail/lock
%dir %{_var}/spool/masqmail/popuidl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: masqmail.spec,v $
Revision 1.25  2003/01/26 11:53:33  gotar
- don't use %{name} where it shouldn't be,
- moved tpl files to their place since 0.2.17,
- release 2, STBR.

Revision 1.24  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.23  2002/12/11 15:20:12  kosmo
- updated to 0.2.18

Revision 1.22  2002/11/28 18:22:17  areq
- 0.2.17, STBR

Revision 1.21  2002/11/25 19:51:54  qboosh
- shortened symlink without %%{_sbindir}

Revision 1.20  2002/11/25 12:15:50  qboosh
- SECURITY update to 0.2.16 (includes many more fixes)
- updated URLs

Revision 1.19  2002/11/13 13:08:30  kloczek
- release 2.

Revision 1.18  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/06/06 08:16:25  gotar
- new %doc

Revision 1.16  2002/05/24 11:04:31  gotar
- ac/am macros

Revision 1.15  2002/05/21 23:14:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.11  2001/10/06 21:10:43  kloczek
- added "rm -f missing" on top %build.

Revision 1.10  2001/10/06 21:06:41  gotar
- upgraded to 0.2.6.

Revision 1.9  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.8  2001/08/29 19:24:11  kloczek
- fixed Source url.

Revision 1.7  2001/08/28 19:13:47  gotar
- added %{_var}/spool/%{name}/lock dir to the package contents,
- release 2.

Revision 1.6  2001/08/26 10:31:47  gotar
- upgraded to 0.2.5.

Revision 1.5  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.4  2001/06/19 12:31:37  gotar
- spec cleanups.

Revision 1.3  2001/04/11 21:44:45  gotar
- Erghhh... T. K. - you've lost two example files!

Revision 1.2  2001/04/09 23:38:56  kloczek
- few cosmetics and make spec %%{debug} ready.

Revision 1.1  2001/04/08 15:01:03  gotar
- spec rewrited from scratch (maybe except %description etc.),
- removed Debian, SuSE and Red Hat compatibilities (rcscripts and so) - DIY.
